%define api		2.0
%define clutterapi	2.0
%define gir_major	2.0
%define major		0

%define gstapi		1.0

%define libname		%mklibname clutter-gst %{api} %{major}
%define devname		%mklibname -d clutter-gst %{api}
%define girname		%mklibname clutter-gst-gir %{gir_major}
%define gstname		gstreamer%{gstapi}-gstclutter

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GST video texture actor and audio player object for Clutter
Name:		clutter-gst2
Version:	2.0.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/clutter-gst/%{url_ver}/clutter-gst-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://clutter-project.org/
BuildRequires:	clutter-devel >= 1.6.14
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	gobject-introspection-devel >= 0.6.8
BuildRequires:	pkgconfig(gl)

%description
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{libname}
Summary:	GST video texture actor and audio player object for Clutter
Group:		System/Libraries
Requires:	gstreamer1.0-plugins-base
Obsoletes:	%{_lib}clutter-gst22.0_0 < 1.9.90-3

%description -n %{libname}
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libclutter-gst%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}clutter-gst22.0-devel < 1.9.90-3

%description -n %{devname}
Development headers/libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}clutter-gst2-gir2.0 < 1.9.90-3

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		System/Libraries

%description -n %{gstname}
Standalone gstreamer plugin for %{name}.

%prep
%setup -q  -n clutter-gst-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

# Remove the documentation for now as it conflicts with the files in
# clutter-gst-devel. I'll work with upstream to fix this properly.
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc/

%files -n %{libname}
%{_libdir}/libclutter-gst-%{api}.so.%{major}*

%files -n %{gstname}
%{_libdir}/gstreamer-%{gstapi}/libgstclutter.so

%files -n %{girname}
%{_libdir}/girepository-1.0/ClutterGst-%{gir_major}.typelib

%files -n %{devname}
#%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/pkgconfig/clutter-gst-%{api}.pc
%{_libdir}/libclutter-gst-%{api}.so
%{_includedir}/clutter-gst-%{clutterapi}
%{_datadir}/gir-1.0/ClutterGst-%{gir_major}.gir


%changelog

* Wed Jan 23 2013 ovitters <ovitters> 2.0.0-1.mga3
+ Revision: 391412
- new version 2.0.0

* Fri Jan 11 2013 umeabot <umeabot> 1.9.92-3.mga3
+ Revision: 347932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 1.9.92-2.mga3
+ Revision: 322316
- fix group

* Wed Sep 26 2012 ovitters <ovitters> 1.9.92-1.mga3
+ Revision: 297857
- new version 1.9.92

* Mon Sep 17 2012 fwang <fwang> 1.9.90-4.mga3
+ Revision: 295322
- rebuild for new gst1.0

* Thu Sep 06 2012 fwang <fwang> 1.9.90-3.mga3
+ Revision: 288719
- correct pkg names

* Wed Sep 05 2012 blino <blino> 1.9.90-2.mga3
+ Revision: 288520
- require gstreamer1.0-plugins-base (instead of 0.10 flavour)

* Tue Sep 04 2012 ovitters <ovitters> 1.9.90-1.mga3
+ Revision: 288033
- imported package clutter-gst2

